## openacs 5.7.0+dfsg

=== packages/acs-authentication/www/doc/xml/Makefile ===
# A very simple Makefile to generate the HTML docs
# @author Vinod Kurup (vinod@kurup.com)
# @author Modified by Roberto Mello (rmello@fslc.usu.edu)
# @author Joel Aufrecht 
#
# @creation-date 2002-08-10
# @modified-date 2002-09-21
# @modified-date 2003-10-08
#
# Simplified version of acs-core-docs makefile, intended for generating
# documentation from standard location /www/doc/xml in 
# OpenACS packages
#

# Paths
XSLTPROC=/usr/bin/xsltproc
HTMLDOC=/usr/bin/htmldoc

all:

	cd .. ; $(XSLTPROC) --nonet --novalid --xinclude ../../../acs-core-docs/www/xml/openacs.xsl xml/index.xml

=== debian/changelog ===
openacs (5.7.0+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust dependencies to tolerate renaming of tclthread to tcl-thread
    (closes: #725258).

 -- Colin Watson <cjwatson@debian.org>  Fri, 08 Nov 2013 11:46:17 +0000

openacs (5.7.0+dfsg-2) unstable; urgency=low

  * Recommends postgresql <= 9.1 instead of 9.0
    - Need to use some postgresql compatibility 
      options (see postinst script for details)
  * Added SWFObject license to the copyright file
  * Updated copyright file to copyright-format 1.0
  * Policy bumped to 3.9.3 without changes.
  * Fixed database deletion on package purge.
  * Fixed dbconfig-common import of old settings.
  * Fixed local config management. Closes: #663356
    - Updated README.Debian
    - Autogenerated config.local file with database
      local settings.
    - Added openacs.preinst file with a fix for old 
      postinst modified config.tcl.
  * Fixed call to ucf on postrm.

 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 12 Mar 2012 17:43:42 +0100

openacs (5.7.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file (dversionmangle now manages the +dfsg part of the 
    package version)
  * Updated the dfsg repackage script (repackage-upstream-src) with four 
    more non-dfsg files to be deleted. Details in README.Debian.
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch from wwwconfig-common to dbconfig-common
    - Deleted debconf templates (no longer necessary)
      - Closes: #660228
    - Created prerm script
    - Postgresql is now recommended instead of suggested in control file

 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 20 Feb 2012 19:28:50 +0100

openacs (5.5.1+dfsg-5) unstable; urgency=low

  * Updated Catalan translation. Closes: #632204
  * Fixed lintian overrides
  * Added build-arch|dep targets to debian/rules to make lintian happy. 
  * Policy bumped to 3.9.2 without changes.

 -- Hector Romojaro <hromojaro@dia.uned.es>  Tue, 01 Nov 2011 15:59:19 +0100

openacs (5.5.1+dfsg-4) unstable; urgency=low

  * Fixed piuparts failed-testing error in postinst script 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Wed, 06 Apr 2011 06:44:04 +0200

openacs (5.5.1+dfsg-3) unstable; urgency=low

  * Policy bumped to 3.9.1 without changes.
  * Removed recursive chown in postinst (see #606554). 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 13 Dec 2010 12:12:30 +0100

openacs (5.5.1+dfsg-2) unstable; urgency=high

  * Fixed severe vulnerability in the api-browser: it was possible to pass 
    to the query parameter "path" a relative path, which might contain path 
    traversals like ../../.. . With these all files with read permissions 
    can be delivered via the server. Applied Patch: 
    http://fisheye.openacs.org/changelog/OpenACS/?cs=oacs-5-5:gustafn:20101125091953
  * Updated translations:
    - Vietnamese. Closes: #599607
    - Czech. Closes: #599606
    - Danish. Closes: #599004
    - Japanese. Closes: #598364 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Thu, 25 Nov 2010 13:48:45 +0100

openacs (5.5.1+dfsg-1) unstable; urgency=high

  * Removed non DFSG files, check README.Debian for details. Closes: #591207
  * Success to install even if postgresql is not installed (this is the same
    fix introduced for #591210 in dotlrn).
  * Added info about PostgreSQL dependency to README.Debian. 
  * Fixed postinst script that failed to reload postgresql. 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Sun, 05 Sep 2010 00:51:43 +0200

openacs (5.5.1-4) unstable; urgency=low

  * Updated translations:
    - Spanish. Closes: #579512
  * Fixed bashisms. Closes: #581133

 -- Hector Romojaro <hromojaro@dia.uned.es>  Tue, 11 May 2010 09:57:30 +0200

openacs (5.5.1-3) unstable; urgency=low

  * Updated standards to 3.8.4 (no changes required)
  * Added debian/source/format file, with value of 1.0.
  * Updated translations:
    - Vietnamese.
    - Czech. Closes: #565882
    - Portuguese. Closes: #575166

 -- Hector Romojaro <hromojaro@dia.uned.es>  Tue, 20 Apr 2010 19:13:44 +0200

openacs (5.5.1-2) unstable; urgency=low

  * Changed aolserver4-daemon dependency to >= 4.5.1-11
  * Added watch file. 
  * Added get-orig-source on debian/rules.
  * debian/control reviewed by the debian-l10n-english team (thanks 
  Ben Finney)
  * Template bugs (thanks Thomas Mueller, Christian Perrier
  and Justin B. Rye)
    - Reviewed by the debian-l10n-english team
    - Removed openacs/notconfigured, openacs/pg_grant_access_manual*,
    openacs/create_tables and openacs/dba_confirm.
  * Added after install and manual database access instructions to 
  README.Debian.
  * Debconf Translation Updates
    - Norwegian.
    - Slovak. Closes: #564097
    - Russian. Closes: #564102
    - Swedish. Closes: #564130
    - French. Closes: #564178
    - Finnish. Closes: #564493
    - German. Closes: #564674
    - Catalan
    - Czech
    - Danish
    - Spanish
    - Euskara
    - Galician
    - Italian
    - Korean
    - Malay
    - Dutch
    - Portuguese
    - Brazilian Portuguese
    - Vietnamese

 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 18 Jan 2010 16:25:38 +0100

openacs (5.5.1-1) unstable; urgency=low

  * New upstream release
  * Changed aolserver4-daemon dependency to >= 4.5.1-7
  * Updated to the new aolserver config environment:
    - Basic config stored on /etc/aolserver4/conf.d/openacs.sh.
    - Removed init script, now the instance is started by the 
      aolserver init script.
    - Removed /etc/default/openacs.
    - Updated daemontools script and README.
  * Removed tsearch checks, because it is built into postgresql since 8.3.
  * Removed README.tsearch
  * Added README.source
  * Added tinymce and Crystal iconset for xinha licenses to copyright file.
  * Removed Xinha Tango Iconset because of its non DFSG compliant license.

 -- Hector Romojaro <hromojaro@dia.uned.es>  Sat, 21 Nov 2009 00:20:39 +0100

openacs (5.4.3-3) unstable; urgency=low

  [ Hector Romojaro ]


=== debian/control ===
Source: openacs 
Section: web
Priority: optional
Maintainer: Hector Romojaro <hromojaro@dia.uned.es>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends-Indep: po-debconf
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-tcltk/openacs/trunk
Vcs-Svn: svn://svn.debian.org/svn/pkg-tcltk/openacs/trunk
Homepage: http://www.openacs.org/

Package: openacs
Architecture: all
Depends: ${misc:Depends}, aolserver4-daemon (>= 4.5.1-11), aolserver4-nspostgres, aolserver4-nssha1, postgresql-client, adduser, tcl-thread | tclthread (>= 1:2.6.5-3), tcllib,
 tcl (>= 8.4), dbconfig-common, debconf, xotcl, aolserver4-xotcl, imagemagick, zip, unzip, tdom (>= 0.8.3~20080525), ucf
Recommends: postgresql (<= 9.1)
Suggests: daemontools, daemontools-run
Description: toolkit for building community-oriented web applications
 OpenACS (Open Architecture Community System) is a toolkit for building
 scalable, community-oriented web applications. It is based on the
 Tcl language and the AOLServer web server.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh  $@

get-orig-source:
	if [ -d "../../tarballs" ]; then \
		uscan --download-current-version --force-download --rename --destdir ../../tarballs/ ; \
	else \
		uscan --download-current-version --force-download --rename ; \
	fi;

override_dh_installdebconf:
	cp debian/openacs.sh debian/openacs/etc/openacs/

	# Deleting extra licenses       
	rm debian/openacs/usr/share/openacs/license.txt
	rm debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/htmlarea/license.txt
	rm debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/xinha-nightly/license.txt
	rm debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/tinymce/jscripts/tiny_mce/license.txt
	rm debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/xinha-nightly/iconsets/Crystal/LICENSE
	rm debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/xinha-nightly/plugins/MootoolsFileManager/mootools-filemanager/LICENSE
     
	# Deleting some unneeded files
	rm debian/openacs/var/log/aolserver4/openacs/log.txt
	rm debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/xinha-nightly/plugins/ImageManager/img/Thumbs.db
 
	# Fixing permissions
	find debian/openacs/usr -type f -exec chmod 0644 {} \;
	find debian/openacs/usr -type d -exec chmod 0755 {} \;
	find debian/openacs/usr -type f -name *.pl -exec chmod 0755 {} \;         # Perl scripts +x
	find debian/openacs/usr -type f -name *.sh -exec chmod 0755 {} \;         # Shell scripts +x
	chmod 0755 debian/openacs/etc/openacs/install/checkout.sh \
		debian/openacs/etc/openacs/install/post-checkout-script.sh \
		debian/openacs/etc/openacs/openacs.sh \
		debian/openacs/usr/share/openacs/bin/create-tablespace.tcl \
		debian/openacs/usr/share/openacs/bin/restart-aolserver \
		debian/openacs/usr/share/openacs/bin/webspell \
		debian/openacs/usr/share/openacs/packages/acs-lang/bin/mygrep \
		debian/openacs/etc/openacs/install/build-release.sh \
		debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/htmlarea/examples/2-areas.cgi \
		debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/htmlarea/examples/test.cgi \
		debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/htmlarea/plugins/SpellChecker/spell-check-logic.cgi \
		debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/xinha-nightly/plugins/SpellChecker/spell-check-logic.cgi

	# Continue as normal... 
	dh_installdebconf

=== debian/watch ===
version=3

opts="uversionmangle=s/\.\?revision_id\=(.*)//,dversionmangle=s/\+dfsg//" \
http://openacs.org/projects/openacs/download download/openacs-(.+)\.tgz(.*) debian debian/repackage-upstream-src

## openacs 5.8.0+dfsg

=== packages/acs-core-docs/www/xml/Makefile ===
# A very simple Makefile to generate the HTML docs
# @author Vinod Kurup (vinod@kurup.com)
# @author Modified by Roberto Mello (rmello@fslc.usu.edu) to have PDF generation
#         plus refactored it a bit to have rules and dependencies.
# @author davis@xarg.net Added automatic creation of an XSL link so we don't edit openacs.xsl, 
#         added a lint target which runs xmllint, changed pdf generation to use FOP.  Made it 
#         work on the mac.  
# OSX note: xmllint from fink does not work, use /usr/bin/xmllint 
#           xmllint from fink seems to work fine on osx 10.4.x
#
# @creation-date 2002-08-10
# @modified-date 2003-12-06
#
# This simply copys all the 'files' and 'images'
#   to the appropriate directory in www so that they are accessible
#
# It then moves into the www directory and runs the XSLT generation
# and runs htmldoc to generate PDFs.
#
# I'm a Makefile newbie, so feel free to comment/slash/change.

# Paths
XSLTPROC=xsltproc
HTMLDOC=htmldoc

all: html 

XSL:
	if [ ! -d XSL -a ! -L XSL ]; then \
		echo -e "\n\nNo XSL directory here.  I am looking for one...\n"; \
		for d in \
			/opt/local/share/xsl/docbook-xsl \
			/sw/share/xml/docbook-xsl \
			/usr/share/sgml/docbook/xsl-stylesheets-* \
			/usr/share/sgml/docbook/xsl-stylesheets \
			/usr/share/sgml/docbook/stylesheet/xsl/nwalsh; \
		do \
			if [ -d $$d ]; then \
				echo "Found $$d"; \
				EXISTS=$$d; \
			fi; \
		done; \
		if [ "$$EXISTS" = "" ]; then \
			echo -e "\
\nNo xsl stylesheets found in /usr/share/sgml/docbook/\n\
You need to install them on your system or if they exist already,\n\
symlink them here so that XSL/html/chunk.xsl exists\n\
see http://sourceforge.net/projects/docbook/ for the docbook-xsl stylesheets\n"; \
			exit 1; \
		else \
			echo "I think $$EXISTS is the best one\n\n"; \
			ln -s $$EXISTS XSL; \
		fi; \
	fi;

prelim: images 
	cp images/*.{pdf,png,gif,jpg} ../images/

# all non-regenerated html is kept in a sub-dir so that we can delete html
# in the main directory before regenerating
# this helps avoid meaningless cvs conflicts in second-hand files
	rm ../*html

target: non-xml
# the dash u part of cp -u is redundant in the context of make/Makefile
	cp non-xml/*.html ..

	cp openacs.css ..

html: prelim XSL
# adding --nonet --novalid is much faster but generates a bunch of bogus error messages
	cd .. ; $(XSLTPROC) --xinclude xml/openacs.xsl xml/index.xml

# I got this to work with FOP 0.20.5 and docbook-xsl 1.62, and Jimi 1.0
# see README.fop for some notes.
pdf: XSL
	cd ..; fop -d -fo fop.fo -pdf full.pdf

fopdf: XSL 
	cd ..; $(XSLTPROC) --xinclude --output fop.fo xml/fo.xsl xml/index.xml
	cd ..; fop -d -fo fop.fo -pdf full.pdf

# Validate with xmllint. --postvalid is needed so validation takes place after xincludes.
# In emacs do M-x compile then make lint; then C-x ` to walk through the resulting errors.
#	/usr/bin/xmllint --xinclude --noout --postvalid index.xml 2>&1 | grep -v 'No declaration for attribute base of element'
#	/sw/bin/xmllint --xinclude --noout --postvalid index.xml 2>&1 | grep -v 'No declaration for attribute base of element'
#  I skip adding the grep at the end because it returns an ambiguous error when there are no messages at end of compiling.. due to no errors.
lint: XSL
	/sw/bin/xmllint --xinclude --noout --postvalid index.xml 2>&1

=== debian/changelog ===
openacs (5.8.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fixed watch file (added .tar.gz and other file extensions)
  * Fixed aolserver restart call in prerm and postrm.
  * Fixed config and preinst files to deal with old config from 
    a previously removed installation.
  * Fixed permissions in postinst.
  * Fixed Vcs-* fields in control file.
  * Policy bumped to 3.9.5 without changes.
  * Changed maintainer e-mail address.
  * General cleanup.
  * debhelper >=9 is now required.
  * aolserver-nspostgres >= 4.5+20110709-1 is now required.
  * Removed /packages/acs-content-repository/java/PerlTools.jar, 
    please check README.Debian for details.
  * Added privacy-breach.patch, which fixes privacy-breach-logo and 
    privacy-breach-generic lintian errors in some files.
  * New missing-sources directory.
    - Added source/lintian-overrides with source-is-missing and
      source-contains-prebuilt-javascript-object false positives.
    - Includes some minified javascript sources for tinymce.
    - Details in missing-sources/README
    - Updated copyright file to include them, and also xinha license.

 -- Hector Romojaro <hector.romojaro@gmail.com>  Tue, 18 Feb 2014 19:15:01 +0200

=== debian/control ===
Source: openacs 
Section: web
Priority: optional
Maintainer: Hector Romojaro <hector.romojaro@gmail.com>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends-Indep: po-debconf
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-tcltk/openacs/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-tcltk/openacs/trunk
Homepage: http://www.openacs.org/

Package: openacs
Architecture: all
Depends: ${misc:Depends}, aolserver4-daemon (>= 4.5.1-11), aolserver4-nspostgres (>=4.5+20110709-1), aolserver4-nssha1, postgresql-client, adduser, tcl-thread | tclthread (>= 1:2.6.5-3), 
 tcllib, tcl (>= 8.5), dbconfig-common, debconf, xotcl, aolserver4-xotcl, imagemagick, zip, unzip, tdom (>= 0.8.3~20080525), ucf
Recommends: postgresql (>= 8.4)
Suggests: daemontools, daemontools-run
Description: toolkit for building community-oriented web applications
 OpenACS (Open Architecture Community System) is a toolkit for building
 scalable, community-oriented web applications. It is based on the
 Tcl language and the AOLServer web server.

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 		debian/openacs/usr/share/openacs/bin/create-tablespace.tcl \
 		debian/openacs/usr/share/openacs/bin/restart-aolserver \
 		debian/openacs/usr/share/openacs/bin/webspell \
+		debian/openacs/usr/share/openacs/bin/cd-helper \
 		debian/openacs/usr/share/openacs/packages/acs-lang/bin/mygrep \
 		debian/openacs/etc/openacs/install/build-release.sh \
 		debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/htmlarea/examples/2-areas.cgi \

## openacs 5.8.1+dfsg

=== debian/changelog ===
openacs (5.8.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Policy bumped to 3.9.6 without changes.
  * missing-sources directory is no longer needed, as upstream included
    unminified javascript files in the original tarball.
    - Modified copyright file accordingly.

 -- Hector Romojaro <hector.romojaro@gmail.com>  Mon, 20 Oct 2014 12:13:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends-Indep: po-debconf
 Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-tcltk/openacs/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-tcltk/openacs/trunk
 Homepage: http://www.openacs.org/

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,6 @@
      
 	# Deleting some unneeded files
 	rm debian/openacs/var/log/aolserver4/openacs/log.txt
-	rm debian/openacs/usr/share/openacs/packages/acs-templating/www/resources/xinha-nightly/plugins/ImageManager/img/Thumbs.db
  
 	# Fixing permissions
 	find debian/openacs/usr -type f -exec chmod 0644 {} \;

=== debian/watch ===
version=3

opts="uversionmangle=s/\.\?revision_id\=(.*)//,dversionmangle=s/\+dfsg//" \
http://openacs.org/projects/openacs/download download/openacs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))(.*) debian debian/repackage-upstream-src

## openacs 5.9.0%2Bdfsg

=== debian/watch ===
version=4

opts="uversionmangle=s/\.\?revision_id\=(.*)//;s/(b\d+|a\d+)/~$1/,dversionmangle=s/\+dfsg//" \
http://openacs.org/projects/openacs/download download/openacs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))(.*) debian debian/repackage-upstream-src

## openacs 5.9.0+dfsg

=== packages/acs-core-docs/www/xml/Makefile ===
--- 
+++ 
@@ -55,11 +55,10 @@
 
 prelim: images 
 	cp images/*.{pdf,png,gif,jpg} ../images/
-
-# all non-regenerated html is kept in a sub-dir so that we can delete html
-# in the main directory before regenerating
-# this helps avoid meaningless cvs conflicts in second-hand files
-	rm ../*html
+	# all non-regenerated html is kept in a sub-dir so that we can delete html
+	# in the main directory before regenerating
+	# this helps avoid meaningless cvs conflicts in second-hand files
+	rm -f ../*html
 
 target: non-xml
 # the dash u part of cp -u is redundant in the context of make/Makefile

=== debian/changelog ===
openacs (5.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Policy bumped to 3.9.8 without changes.
  * Fixed watch file (avoid beta releases, updated to v4).
  * vcs-browser url uses https now.
  * Fixed tcl-thread loading multiarch path in config.tcl.
  * Fixed aolserver restarting in postinst.

 -- Hector Romojaro <hector.romojaro@gmail.com>  Tue, 20 Dec 2016 01:23:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends-Indep: po-debconf
 Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-tcltk/openacs/trunk
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-tcltk/openacs/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-tcltk/openacs/trunk
 Homepage: http://www.openacs.org/
